<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>A Normal Calculator</title>
    <style>
        #display{
            text-align: right;
        }
        td {
            background-color: #b3d4fc;
        }
        button{
            width: 100%;
        }

    </style>
</head>
<body>

<form name="calc">
    <table border="2" cellpadding="5" style="text-align: center">
        
    <tr>
        <td colspan="3">
            <input type="text" id="display">
        </td>
        <td><button type="button" onclick="calc.display.value=calc.display.value.substr(0,calc.display.value.length-1)">&larr; </button> </td>
    </tr>
    <tr>
        <td><button type="button" onclick="calc.display.value += 1">1</button> </td>
        <td><button type="button" onclick="calc.display.value += 2">2</button> </td>
        <td><button type="button" onclick="calc.display.value += 3">3</button> </td>
        <td><button type="button" onclick="calc.display.value += '+'">+</button> </td>
    </tr>
    <tr><td><button type="button" onclick="calc.display.value += 4">4</button> </td>
        <td><button type="button" onclick="calc.display.value += 5">5</button> </td>
        <td><button type="button" onclick="calc.display.value += 6">6</button> </td>
        <td><button type="button" onclick="calc.display.value += '-'">-</button> </td>
    </tr>
    <tr>
        <td><button type="button" onclick="calc.display.value += 7">7</button> </td>
        <td><button type="button" onclick="calc.display.value += 8">8</button> </td>
        <td><button type="button" onclick="calc.display.value += 9">9</button> </td>
        <td><button type="button" onclick="calc.display.value += '*'">x</button> </td>
    </tr>
    <tr><td><button type="button" onclick="calc.display.value += 0">0</button> </td>
        <td><button type="button" onclick="calc.display.value = ''">C</button> </td>
        <td><button type="button" onclick="calculate()">=</button> </td>
        <td><button type="button" onclick="calc.display.value += '/'">/</button> </td>
    </tr>

    </table>

</form>
<script>
    function calculate(){
        calc.display.value = eval (calc.display.value);
        if ( !some_variable ) {
            //some_variable is either
        }
        if(calc.display.value)
            calc.display.value = 0;
    }
</script>

</body>
</html>